_PidginStatusBox Struct Reference

## Data Fields

GtkContainer | parent_instance
GtkListStore * | store
| This GtkListStore contains only one row–the currently selected status.
GtkListStore * | dropdown_store
| This is the dropdown GtkListStore that contains the available statuses, plus some recently used statuses, plus the "Custom..." and "Saved..." options.
PurpleAccount * | account
PurpleAccount * | token_status_account
GtkWidget * | vbox
GtkWidget * | sw
GtkWidget * | imhtml
PurpleStoredImage * | buddy_icon_img
GdkPixbuf * | buddy_icon
GdkPixbuf * | buddy_icon_hover
GtkWidget * | buddy_icon_sel
GtkWidget * | icon
GtkWidget * | icon_box
GtkWidget * | icon_box_menu
GdkCursor * | hand_cursor
GdkCursor * | arrow_cursor
int | icon_size
gboolean | icon_opaque
gboolean | imhtml_visible
GtkWidget * | cell_view
GtkCellRenderer * | icon_rend
GtkCellRenderer * | text_rend
GdkPixbuf * | error_pixbuf
int | connecting_index
GdkPixbuf * | connecting_pixbufs [9]
int | typing_index
GdkPixbuf * | typing_pixbufs [6]
gboolean | network_available
gboolean | connecting
guint | typing
GtkTreeIter | iter
char * | error
GtkWidget * | hbox
GtkWidget * | toggle_button
GtkWidget * | vsep
GtkWidget * | arrow
GtkWidget * | popup_window
GtkWidget * | popup_frame
GtkWidget * | scrolled_window
GtkWidget * | cell_view_frame
GtkTreeViewColumn * | column
GtkWidget * | tree_view
gboolean | popup_in_progress
GtkTreeRowReference * | active_row

## Detailed Description

Definition at line 67 of file gtkstatusbox.h.

The documentation for this struct was generated from the following file:

- gtkstatusbox.h